ZTPTRS(3f)

NAME
ZTPTRS - a triangular system of the form A * X = B, A**T * X = B, or A**H * X = B,

SYNOPSIS

SUBROUTINE ZTPTRS(
    UPLO, TRANS, DIAG, N, NRHS, AP, B, LDB, INFO )

CHARACTER
    DIAG, TRANS, UPLO

INTEGER
    INFO, LDB, N, NRHS

COMPLEX*16
    AP( * ), B( LDB, * )

PURPOSE
ZTPTRS solves a triangular system of the form where A is a triangular matrix of order N stored in packed format, and B is an N-by-NRHS matrix. A check is made to verify that A is nonsingular.

ARGUMENTS

UPLO    (input) CHARACTER*1
    = 'U': A is upper triangular;
    = 'L': A is lower triangular.

TRANS   (input) CHARACTER*1
    Specifies the form of the system of equations:
    = 'N': A * X = B (No transpose)
    = 'T': A**T * X = B (Transpose)
    = 'C': A**H * X = B (Conjugate transpose)

DIAG    (input) CHARACTER*1
    = 'N': A is non-unit triangular;
    = 'U': A is unit triangular.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

AP      (input) COMPLEX*16 array, dimension (N*(N+1)/2)
    The upper or lower triangular matrix A, packed columnwise in a linear array. The j-th column of A is stored in the array AP as follows: if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j; if UPLO = 'L', AP(i + (j-1)*(2*n-j)/2) = A(i,j) for j<=i<=n.

B       (input/output) COMPLEX*16 array, dimension (LDB,NRHS)
    On entry, the right hand side matrix B. On exit, if INFO = 0, the solution matrix X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value
    > 0: if INFO = i, the i-th diagonal element of A is zero, indicating that the matrix is singular and the solutions X have not been computed.